-------------------------------------------------------------------------------
--                             Creation Operations                           --
--                                                                           --
--  This is the root type for creation operations                            --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/31 14:20:05 $
--  $RCSfile: operations-creation.ads,v $
--  $Revision: 1.4 $
--                                                                           --
-------------------------------------------------------------------------------

with Memory_Objects; use Memory_Objects;

package Operations.Creation is

   type Creation_Operation_Type is abstract new Operation_Type with private;
   type Creation_Operation_Ref is access all Creation_Operation_Type'Class;

   function Create (Operation : Creation_Operation_Type)
     return Data_Ref is abstract;

private

   type Creation_Operation_Type is abstract new Operation_Type with
     null record;

end Operations.Creation;
