-------------------------------------------------------------------------------
--                              Deletion Operations                          --
--                                                                           --
--  This is the root type for the deletion operations                        --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/08/18 11:48:43 $
--  $RCSfile: operations-deletion.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

with Memory_Objects; use Memory_Objects;

package Operations.Deletion is

   type Deletion_Operation_Type is abstract new Operation_Type with private;
   type Deletion_Operation_Ref is access all Deletion_Operation_Type'Class;

   procedure Delete (Operation   : Deletion_Operation_Type;
                     Data_Object : in out Data_Ref)
      is abstract;

private

   type Deletion_Operation_Type is abstract new Operation_Type with
     null record;

end Operations.Deletion;
