

package Persistent_Objects.Cataloged is

   type Cataloged_Object_Type is new Persistent_Object_Type with private;
   type Cataloged_Object_Ref is access all Cataloged_Object_Type'Class;

   procedure Save_Object (Object : in out Cataloged_Object_Type);

   procedure Delete_Object
     (Object : in out Cataloged_Object_Ref);

private

   type Cataloged_Object_Type is
      new Persistent_Object_Type with record
         Saved_Once : Boolean := False;
      end record;

   procedure Initialize_Object
      (Object : in out Cataloged_Object_Ref;
       Storage_Params : in Non_Volatile_Params_Type'Class);

end Persistent_Objects.Cataloged;
