-------------------------------------------------------------------------------
--                         Log Information.Object                            --
--                                                                           --
--  This is the type that represents object information written to the log   --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/10/02 13:08:46 $
--  $RCSfile: log_information-object.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

with Storage_Params.Non_Volatile; use Storage_Params.Non_Volatile;

package Log_Information.Object is

   type Object_Information_Type is new Log_Information_Type with record
      Params : Non_Volatile_Params_Ref;
      State_Identifier : Natural := 0;
   end record;

   type Object_Information_Ref is access all Object_Information_Type'Class;

end Log_Information.Object;
