-------------------------------------------------------------------------------
--                               Non Stable Params                           --
--                                                                           --
--  This package and its child packages provide the storage parameters for   --
--  the non stable storage hierarchy                                         --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/05 12:57:06 $
--  $RCSfile: storage_params-non_volatile-non_stable.ads,v $
--  $Revision: 1.1.1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package Storage_Params.Non_Volatile.Non_Stable is

   type Non_Stable_Params_Type is abstract new Non_Volatile_Params_Type
     with private;

private

   type Non_Stable_Params_Type is abstract new Non_Volatile_Params_Type
     with null record;

end Storage_Params.Non_Volatile.Non_Stable;
