-------------------------------------------------------------------------------
--                               Stable Params                               --
--                                                                           --
--  This package and its child packages provide the storage parameters for   --
--  the stable storage hierarchy                                             --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/08/24 13:10:54 $
--  $RCSfile: storage_params-non_volatile-stable.ads,v $
--  $Revision: 1.2 $
--                                                                           --
-------------------------------------------------------------------------------

package Storage_Params.Non_Volatile.Stable is

   type Stable_Params_Type is abstract new Non_Volatile_Params_Type
     with private;
   type Stable_Params_Ref is access all Stable_Params_Type'Class;

private

   type Stable_Params_Type is abstract new Non_Volatile_Params_Type
     with null record;

end Storage_Params.Non_Volatile.Stable;
