
generic

   type Element_Type is private;

   type Key_Type (<>) is private;

   type Key_Ref is access Key_Type;

package Linked_Lists_With_Refkey is

   type List_Node_Type;

   type List_Type is access all List_Node_Type;

   type List_Node_Type is record
      Next : List_Type;
      Key : Key_Ref;
      Element : Element_Type;
   end record;

   procedure Insert_Element (List : in out List_Type;
                             Key : in Key_Type;
                             Element : in Element_Type);

   procedure Delete_Element (List : in out List_Type;
                             Key : in Key_Type);

   function Find (List : in List_Type;
                  Key : in Key_Type) return Element_Type;

   No_Such_Key : exception;

end Linked_Lists_With_Refkey;
