-------------------------------------------------------------------------------
--                                   Volatile                                --
--                                                                           --
--  This package and its child packages provide the storage parameters for   --
--  the volatile storage hierarchy.                                          --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/13 16:11:11 $
--  $RCSfile: storage_params-volatile.ads,v $
--  $Revision: 1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package Storage_Params.Volatile is

   type Volatile_Params_Type is abstract
      new Storage_Params_Type with private;

   type Volatile_Params_Ref is access all Volatile_Params_Type'Class;

private

   type Volatile_Params_Type is abstract
      new Storage_Params_Type with null record;

end Storage_Params.Volatile;
