-------------------------------------------------------------------------------
--                             Volatile Storages                             --
--                                                                           --
--                  by Jrg Kienzle, last modified 28.4.1999                 --
--                                                                           --
--  Volatile storage types represent volatile storage. Data stored in        --
--  volatile storage will be lost if the program terminates or crashes.      --
--                                                                           --
--  $Author: jkienzle $
--  $Date: 2000/01/05 12:57:07 $
--  $RCSfile: storages-volatile.ads,v $
--  $Revision: 1.1.1.1 $
--                                                                           --
-------------------------------------------------------------------------------

package Storages.Volatile is

   type Volatile_Storage_Type is abstract new Storage_Type with private;
   type Volatile_Storage_Ref is access all Volatile_Storage_Type'Class;

private

   type Volatile_Storage_Type is abstract new Storage_Type with null record;

end Storages.Volatile;
