with Ada.Unchecked_Deallocation;

package body Buffers is

   procedure Free is
      new Ada.Unchecked_Deallocation (Non_Volatile_Storage_Type'Class,
                                      Non_Volatile_Storage_Ref);

   procedure Finalize (Buffer : in out Buffer_Type) is
      B : Non_Volatile_Storage_Ref := Buffer.Storage.all'Unchecked_Access;
   begin
      Free (B);
   end Finalize;

end Buffers;
