
generic

   type Element_Type is private;

package Linked_Lists is

   type List_Node_Type;

   type List_Type is access all List_Node_Type;

   type List_Node_Type is record
      Next : List_Type;
      Element : Element_Type;
   end record;

   function Count_Elements (List : List_Type) return Natural;

   procedure Insert_Element (List : in out List_Type;
                             Element : in Element_Type);

   procedure Insert_If_Not_Already (List : in out List_Type;
                                    Element : in Element_Type);

   procedure Merge_Lists (List : in out List_Type;
                          List_To_Merge : in List_Type);

   procedure Delete_Element (List : in out List_Type;
                             Element : in Element_Type);

   procedure Delete_List (List : in out List_Type);

   No_Such_Element : exception;

end Linked_Lists;
